Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Models/Categoria_parametro.cs
using System;

namespace Generic_appWeb.Models
{
    public class Categoria_parametro
    {
        
        public int CPar_id { get; set; }
        public string CPar_codigo_empresa { get; set; }
        public string CPar_codigo_alterno { get; set; }
        public string CPar_descripcion_larga { get; set; }
        public string CPar_descripcion_med { get; set; }
        public string CPar_descripcion_corta { get; set; }
        public string CPar_abreviacion { get; set; }
        public string CPar_observacion { get; set; }
        public DateTime CPar_fecha_creacion { get; set; }
        public DateTime CPar_fecha_modificacion { get; set; }
        public Usuario CPar_usuario_creacion { get; set; }
        public Usuario CPar_usuario_modificacion { get; set; }
        public char CPar_estado { get; set; }
        public int CPar_secuencia { get; set; }
        public Grupo_parametro Grupo_parametro { get; set; }
    

    }
}

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Controllers/Categoria_parametroController.cs
using Generic_appWeb.Models;
using Generic_appWeb.Repository;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Configuration;
using System;

namespace Generic_appWeb.Controllers
{
    public class Categoria_parametroController : Controller
    {

       
        //private readonly UsuarioRepository _usuarioRepository;
        private readonly Grupo_parametroRepository _Grupos_parametrosRepository;
        public Categoria_parametroRepository _Categoria_parametroRepository;

        public Categoria_parametroController(IConfiguration configuration)
        {
            _Grupos_parametrosRepository = new Grupo_parametroRepository(configuration);
            _Categoria_parametroRepository = new Categoria_parametroRepository(configuration);
            //_usuarioRepository = new UsuarioRepository(configuration);
        }


        public IActionResult Index()
        {

            return View(_Categoria_parametroRepository.FindAll());
        }

        public IActionResult Create()
        {
            ViewBag.grupos_parametrosList = _Grupos_parametrosRepository.FindAll();
            //ViewBag.estadosList = _usuarioRepository.FindAll();
            ViewBag.fecha_creacion = DateTime.Now.ToString("dd/MM/yyyy HH:MM:ss");

            return View();
        }

        // POST: Customer/Create
        [HttpPost]
        public IActionResult Create(Categoria_parametro obj)
        {

            _Categoria_parametroRepository.Add(obj);
            
            return RedirectToAction("Index");
        }

        // GET: /Customer/Edit/1
        public IActionResult Edit(int? id)
        {
            try
            {
                if (id == null)
                {
                    return NotFound();
                }
                ViewBag.grupos_parametrosList = _Grupos_parametrosRepository.FindAll();
                //ViewBag.estadosList = _usuarioRepository.FindAll();
                ViewBag.fecha_modificacion = DateTime.Now.ToString("dd/MM/yyyy HH:MM:ss");
                Categoria_parametro obj = _Categoria_parametroRepository.FindByID(id.Value);

                if (obj.CPar_id == 0)
                {
                    return NotFound();
                }
                return View(obj);
            }
            catch (Exception e)
            {

                throw;
            }
        }

        // POST: /Customer/Edit   
        [HttpPost]
        public IActionResult Edit(Categoria_parametro obj)
        {
            try
            {
                _Categoria_parametroRepository.Update(obj);
                return RedirectToAction("Index");
            }
            catch (Exception e)
            {
                return View(obj);
            }
        }

        // GET:/Customer/Delete/1
        public IActionResult Delete(int? id)
        {

            if (id == null)
            {
                return NotFound();
            }
            _Categoria_parametroRepository.Remove(id.Value);
            return RedirectToAction("Index");
        }



        // comobo box obtener categorias por grupo
        public JsonResult Getcmb_categoriabygrupo_parametro(int GPar_id)
        {
            var list = _Categoria_parametroRepository.Getcmb_categoriabygrupo_parametro(GPar_id);
            return Json(list);
        }





    }
}

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Views/Categoria_parametro/Create.cshtml
@{ ViewData["Title"] = "Categoria parametro";
    ViewData["Titulo_lugar"] = "Ingresar Categoria parametro";
    ViewData["Lugar"] = "Categoria parametro";


    Layout = "_create"; }







@model Generic_appWeb.Models.Categoria_parametro


<form asp-action="Create">


    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Grupo parametro</h3>
        </div>

        <div class="card-body ">


            <div class="form-group ">
                <label asp-for="Grupo_parametro.GPar_id" class="col-md-4 control-label" style="float:left"> Hacienda </label>

                <select asp-for="Grupo_parametro.GPar_id" asp-items="@(new SelectList(ViewBag.grupo_parametroList,"GPar_id", "GPar_descripcion_med"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>


                <span asp-validation-for="Grupo_parametro.GPar_id" class="text-danger" />

            </div>



        </div>
    </div>





    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Codigo</h3>
        </div>

        <div class="card-body ">


            <div class="form-group ">
                <label asp-for="CPar_codigo_empresa" class="col-md-4 control-label" style="float:left"> Empresa </label>
                <input asp-for="CPar_codigo_empresa" class="form-control col-md-6" />
                <span asp-validation-for="CPar_codigo_empresa" class="text-danger" />

            </div>

            <div class="form-group ">
                <label asp-for="CPar_codigo_alterno" class="col-md-4 control-label" style="float:left"> Alterno </label>
                <input asp-for="CPar_codigo_alterno" class="form-control col-md-6" type="text" />
                <span asp-validation-for="CPar_codigo_alterno" class="text-danger" />

            </div>


        </div>
    </div>


    <br />


    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Descripciones</h3>
        </div>

        <div class="card-body">


            <div class="form-group">
                <label asp-for="CPar_descripcion_larga" class="col-md-4 control-label" style="float:left"> Larga</label>
                <input asp-for="CPar_descripcion_larga" class="form-control col-md-6" />
                <span asp-validation-for="CPar_descripcion_larga" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="CPar_descripcion_med" class="col-md-4 control-label" style="float:left"> Media</label>
                <input asp-for="CPar_descripcion_med" class="form-control col-md-6" />
                <span asp-validation-for="CPar_descripcion_med" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="CPar_descripcion_corta" class="col-md-4 control-label" style="float:left"> Corta</label>
                <input asp-for="CPar_descripcion_corta" class="form-control col-md-6" />
                <span asp-validation-for="CPar_descripcion_corta" class="text-danger" />
            </div>

            <div class="form-group">
                <label asp-for="CPar_abreviacion" class="col-md-4 control-label" style="float:left"> Abreviacion</label>

                <input asp-for="CPar_abreviacion" class="form-control col-md-6" />
                <span asp-validation-for="CPar_abreviacion" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="CPar_observacion" class="col-md-4 control-label" style="float:left"> Observacion</label>

                <input asp-for="CPar_observacion" class="form-control col-md-6" />
                <span asp-validation-for="CPar_observacion" class="text-danger" />
            </div>


        </div>

    </div>


    <br />


    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Fechas</h3>
        </div>

        <div class="card-body">


            <div class="form-group">

                <label asp-for="CPar_fecha_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input name="CPar_fecha_creacion" id="CPar_fecha_creacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="CPar_fecha_creacion" class="text-danger" />

            </div>

            <div class="form-group">

                <label asp-for="CPar_fecha_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input name="CPar_fecha_modificacion" id="CPar_fecha_modificacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="CPar_fecha_modificacion" class="text-danger" />

            </div>


        </div>

    </div>



    <br />


    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Usuario</h3>
        </div>

        <div class="card-body">

            <div class="form-group">

                <label asp-for="CPar_usuario_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input asp-for="CPar_usuario_creacion" class="form-control col-xl-6" readonly />
                <span asp-validation-for="CPar_usuario_creacion" class="text-danger" />

            </div>

            <div class="form-group">

                <label asp-for="CPar_usuario_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input asp-for="CPar_usuario_modificacion" class="form-control col-xl-6" readonly value=" " />
                <span asp-validation-for="CPar_usuario_modificacion" class="text-danger" />

            </div>

        </div>


    </div>


    <br />



    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Secuencia</h3>
        </div>

        <div class="card-body">


            <div class="form-group">
                <label asp-for="CPar_secuencia" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Secuencia</label>
                <!--<label asp-for="GCul_secuencia" class="col-md-4 control-label" style="float:left">  Secuencia </label>-->
                <input asp-for="CPar_secuencia" class="form-control col-md-6" />
                <span asp-validation-for="CPar_secuencia" class="text-danger" />

            </div>

        </div>

    </div>


    <br />


    <div style="float:right" class="col-md-12">

        <div class="form-group">

            <div class="float-right">

                <button type="button" class="btn btn-outline-secondary " onclick="location.href='@Url.Action("Index", "Categoria_parametro")'">Volver</button>
                <button type="submit" class="btn btn-primary ">Guardar</button>

            </div>

        </div>

    </div>


</form>

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Views/Categoria_parametro/Edit.cshtml
@model Generic_appWeb.Models.Categoria_parametro

<form asp-controller="Categoria_parametro" asp-action="Edit" method="post" role="form">
    <div class="card card-success">
        <div class="card-header">
            <section class="content-header">
                <h3>EDITAR CATEGORIAS PARAMETROS </h3>
            </section>
        </div>
        <div class="card-body">

            <div style="float:left" class="col-xl-12  ">

                <fieldset class="col-xl-6 col-md-6 col-lg-6">

                    @Html.Hidden("CPar_id")

                    <div class="form-group">
                        
                        <label asp-for="Grupo_parametro.GPar_id" class="col-md-4 control-label" style="float:left"> GRUPO </label>

                        <select asp-for="Grupo_parametro.GPar_id" asp-items="@(new SelectList(ViewBag.Grupo_parametroList,"GPar_id", "GPar_descripcion_corta"))" class="form-control col-md-6"><option>Seleccione</option></select>
                        
                        <span asp-validation-for="Grupo_parametro.GPar_id" class="text-danger" />

                    </div>


                </fieldset>
                <br />
                <br />



                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">CODIGOS</legend>
                    <div class="form-group">
                        <label asp-for="CPar_codigo_empresa" class="col-md-4 control-label" style="float:left">  EMPRESA </label>

                        <input asp-for="CPar_codigo_empresa" class="form-control col-md-6" />
                        <span asp-validation-for="CPar_codigo_empresa" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="CPar_codigo_alterno" class="col-md-4 control-label" style="float:left">  ALTERNO </label>

                        <input asp-for="CPar_codigo_alterno" class="form-control col-md-6" />
                        <span asp-validation-for="CPar_codigo_alterno" class="text-danger" />

                    </div>

                </fieldset>
                <br />
                <br />
                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">DESCRIPCIONES</legend>
                    <div class="form-group">
                        <label asp-for="CPar_descripcion_larga" class="col-md-4 control-label" style="float:left">  LARGA </label>

                        <input asp-for="CPar_descripcion_larga" class="form-control col-md-6" />
                        <span asp-validation-for="CPar_descripcion_larga" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="CPar_descripcion_med" class="col-md-4 control-label" style="float:left">  MEDIA </label>

                        <input asp-for="CPar_descripcion_med" class="form-control col-md-6" />
                        <span asp-validation-for="CPar_descripcion_med" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="CPar_descripcion_corta" class="col-md-4 control-label" style="float:left">  CORTA </label>

                        <input asp-for="CPar_descripcion_corta" class="form-control col-md-6" />
                        <span asp-validation-for="CPar_descripcion_corta" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="CPar_abreviacion" class="col-md-4 control-label" style="float:left"> ABREVIACION </label>

                        <input asp-for="CPar_abreviacion" class="form-control col-md-6" />
                        <span asp-validation-for="CPar_abreviacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="CPar_observacion" class="col-md-4 control-label" style="float:left"> OBSERVACION </label>

                        <input asp-for="CPar_observacion" class="form-control col-md-6" />
                        <span asp-validation-for="CPar_observacion" class="text-danger" />

                    </div>


                </fieldset>
                <br />
                <br />



                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">FECHAS</legend>
                    <div class="form-group">
                        <label asp-for="CPar_fecha_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  CREACION</label>
                        <input asp-for="CPar_fecha_creacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="CPar_fecha_creacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="CPar_fecha_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  MODIFICACION </label>
                        <input name="CPar_fecha_modificacion" id="CPar_fecha_modificacion" class="form-control col-xl-6" value="@ViewBag.fecha_modificacion" readonly>

                        <span asp-validation-for="CPar_fecha_modificacion" class="text-danger" />

                    </div>
                </fieldset>
                <br />
                <br />
                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">USUARIOS</legend>
                    <div class="form-group">
                        <label asp-for="CPar_usuario_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  CREACION</label>
                        <input asp-for="CPar_usuario_creacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="CPar_usuario_creacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="CPar_usuario_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  MODIFICACION</label>
                        <input asp-for="CPar_usuario_modificacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="CPar_usuario_modificacion" class="text-danger" />

                    </div>
                </fieldset>
                <br />
                <br />
                <fieldset class="col-xl-6 col-md-6 col-lg-6">

                    <div class="form-group">
                        <label asp-for="CPar_secuencia" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  SECUENCIA</label>

                        <input asp-for="CPar_secuencia" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="CPar_secuencia" class="text-danger" />

                    </div>

                </fieldset>
            </div>
        </div>

        <div class="form-group">

            <div class="col-md-6">
                <button type="button" class="btn btn-warning" onclick="location.href='@Url.Action("Index", "Categoria_parametro")'">Volver</button>
                <button type="submit" class="btn btn-success">Guardar</button>
            </div>
        </div>
    </div>
</form>

@section Scripts
    {
    @*<script src="~/Js/Activos_edit.js"></script>*@
}

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Views/Categoria_parametro/Index.cshtml
@{
    ViewData["Nombre_tabla"] = "Categoria parametro";
    ViewData["lugar"] = "Categoria parametro";

    Layout = "_index"; }






@model IEnumerable<Generic_appWeb.Models.Categoria_parametro>

<div class="card-body">
    <table id="example1" class="table table-bordered table-striped ">

        @*<thead>

                <tr>

                    <th colspan="3" style="text-align:CParnter">Codigo </th>
                    <th colspan="3" style="text-align:CParnter">Descripcion</th>
                    <th colspan="2" style="text-align:CParnter">Detalle</th>
                    <th colspan="2" style="text-align:CParnter">Fecha</th>
                    <th colspan="2" style="text-align:CParnter">Usuario</th>
                    <th colspan="4"></th>

                </tr>

            </thead>*@

        <thead class="filters">
            <tr>
                <th>Grupo parametro</th>

                <th>Interno</th>
                <th>Empresa</th>
                <th>Alterno</th>

                <th>Larga</th>
                <th>Mediana</th>
                <th>Corta</th>

                <th>Abreviacion</th>
                <th>Observacion</th>

                <th>Creacion</th>
                <th>Modificacion</th>
                <th>Creacion</th>
                <th>Modificacion</th>
                <th>Secuencia</th>


                <th></th>
                <th></th>
            </tr>

        </thead>



        <tbody>


            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Grupo_parametro.GPar_descripcion_med)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.CPar_id)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.CPar_codigo_empresa)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CPar_codigo_alterno)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CPar_descripcion_larga)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.CPar_descripcion_med)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.CPar_descripcion_corta)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.CPar_abreviacion)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.CPar_observacion)
                    </td>



                    <td>
                        @Html.DisplayFor(modelItem => item.CPar_fecha_creacion)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CPar_fecha_modificacion)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CPar_usuario_creacion.Users_usuario_creacion)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CPar_usuario_modificacion.Users_usuario_modificacion)
                    </td>


                    <td>
                        @Html.DisplayFor(modelItem => item.CPar_secuencia)
                    </td>


                    <td>
                        <a asp-action="Edit" asp-route-id="@item.CPar_id" asp-route-usu=" item.CPar_usuario_creacion" asp-route-usu1="@item.CPar_usuario_modificacion" class="btn btn-info">Editar</a>
                    </td>
                    <td>
                        <a asp-action="Delete" class="btn btn-danger" asp-route-id="@item.CPar_id" onclick="return confirm('Se eliminara el registro');">Eliminar</a>
                    </td>
                </tr>
            }

        </tbody>



    </table>

</div>






@section Scripts
    {










    <!-- DataTables -->
    <script src="~/AdminLTE-3.0.5/plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="~/AdminLTE-3.0.5/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
    <script src="~/AdminLTE-3.0.5/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
    <script src="~/AdminLTE-3.0.5/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>

    <script src="~/Js/Tipos_estados_index.js"></script>






    <script>
        $(function () {
            $("#example1").DataTable({
                "responsive": true,
                "autoWidth": false,
            });
            $('#example2').DataTable({
                "paging": true,
                "lengthChange": false,
                "searching": false,
                "ordering": true,
                "info": true,
                "autoWidth": false,
                "responsive": true,
            });
        });
    </script>




}